unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Clipbrd,
  StdCtrls, ExtCtrls;

type
  TForm3 = class(TForm)
    rgRotangle: TGroupBox;
    Label1: TLabel;
    edttransp: TEdit;
    edtmovshrink: TEdit;
    Label4: TLabel;
    rbtransp: TRadioButton;
    rbshrink: TRadioButton;
    btnfont: TButton;
    Label5: TLabel;
    FontDialog: TFontDialog;
    Label6: TLabel;
    edtmsg: TEdit;
    StaticText1: TStaticText;
    Label2: TLabel;
    edtrotangle: TEdit;
    rbrot: TRadioButton;
    procedure edtshrinkmovbmpKeyPress(Sender: TObject; var Key: Char);
    procedure edttranspChange(Sender: TObject);
    procedure edtmovshrinkEnter(Sender: TObject);
    procedure edttranspEnter(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnfontClick(Sender: TObject);
    procedure edtrotangleChange(Sender: TObject);
    procedure rbrotClick(Sender: TObject);
    procedure FormMouseWheel(Sender: TObject; Shift: TShiftState;
      WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;
 type CCC =class(tform) ;
implementation

uses Unit1, Unit2;

{$R *.DFM}

procedure TForm3.edtshrinkmovbmpKeyPress(Sender: TObject; var Key: Char);
begin if key in ['0'..'9',#8] then else key:=#0
end;

procedure TForm3.edttranspChange(Sender: TObject);
var i : integer;
begin if ready=false then exit; 
     i:=strtointdef(Tedit(sender).text,0);
      if i<3 then i:=3 else if i>100 then i:=100;
      Tedit(sender).Tag:=i;
     form1.Image1MouseMove(nil,[],xnow,ynow)
end;

procedure TForm3.edtrotangleChange(Sender: TObject);
var i,w,h,d,w1,h1 : integer; t : tbitmap;   R : Trect;
begin if ready=false then exit;
     i:=strtointdef(Tedit(sender).text,0);
     if i>360 then i:=0; Tedit(sender).Tag:=i;

     form1.Image1MouseMove(nil,[],xnow,ynow);
      exit;
     t:=tbitmap.Create; t.PixelFormat:=pf32bit;
     w:=movbitmap.Width; h:=movbitmap.Height;
     d:=round(sqrt(w*w+h*h)); t.Canvas.Brush.Style:=bssolid;
     t.Width:=d; t.Height:=d;
     R.Left:=xnow-((d-w)div 2); R.Top:=ynow-((d-h) div 2);
     R.Right:=R.Left+d; R.Bottom:=R.Top+d;
     t.Canvas.CopyRect(rect(0,0,d,d),mainbitmap.canvas,R);
     RotateBitmap(movbitmap,t,30);
     //clipboard.Assign(t);
     form1.Image1.Canvas.CopyRect(R,t.canvas,rect(0,0,d,d));
     t.Free
end;


procedure TForm3.edtmovshrinkEnter(Sender: TObject);
begin
 if movbitmap=nil then
 begin showmessage('Moving image not selected yet');
      exit
 end
end;

procedure TForm3.edttranspEnter(Sender: TObject);
begin
 if movbitmap=nil then
 begin showmessage('Moving image not selected yet');
       exit
 end
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
 with fontdialog.font do
 begin
 label5.Caption:=Name+'  '+inttostr(size);
 label5.font.Color:=color; label5.Font.Style:=style
 end
end;

procedure TForm3.btnfontClick(Sender: TObject);
begin
 with fontdialog do
 begin if execute=false then exit;
       FormCreate(nil)
 end
end;

procedure TForm3.rbrotClick(Sender: TObject);
begin  appaction:=RotatePic; edtrotangle.SetFocus

end;

procedure TForm3.FormMouseWheel(Sender: TObject; Shift: TShiftState;
  WheelDelta: Integer; MousePos: TPoint; var Handled: Boolean);
const ok : boolean =true;  
begin
    Form1.FormMouseWheel(sender,shift,wheeldelta,MousePos,ok)
end;

procedure TForm3.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin  if (edttransp.Focused)or(edtmovshrink.Focused)or(edtrotangle.Focused)
       or(edtmsg.Focused) then exit;
       if rbtransp.Checked then edttransp.SetFocus else
       if rbshrink.Checked then edtmovshrink.SetFocus else
       edtrotangle.SetFocus
end;

end.
